Shell access and data transfer
==============================

Interactive Login
-----------------
The Salomon cluster is accessed by SSH protocol via login nodes login1, login2, login3 and login4 at address salomon.it4i.cz. The login nodes may be addressed specifically, by prepending the login node name to the address.

>The alias >salomon.it4i.cz is currently not available through VPN connection. Please use loginX.salomon.it4i.cz when connected to VPN.

  |Login address|Port|Protocol|Login node|
  |---|---|---|---|
  |salomon.it4i.cz|22|ssh|round-robin DNS record for login[1-4]|
  |login1.salomon.it4i.cz|22|ssh|login1|
  |login1.salomon.it4i.cz|22|ssh|login1|
  |login1.salomon.it4i.cz|22|ssh|login1|
  |login1.salomon.it4i.cz|22|ssh|login1|

The authentication is by the [private key](../get-started-with-it4innovations/accessing-the-clusters/shell-access-and-data-transfer/ssh-keys.html)

>Please verify SSH fingerprints during the first logon. They are identical on all login nodes:
f6:28:98:e4:f9:b2:a6:8f:f2:f4:2d:0a:09:67:69:80 (DSA)
70:01:c9:9a:5d:88:91:c7:1b:c0:84:d1:fa:4e:83:5c (RSA)

Private key authentication:

On **Linux** or **Mac**, use

```bash
local $ ssh -i /path/to/id_rsa username@salomon.it4i.cz
```

If you see warning message "UNPROTECTED PRIVATE KEY FILE!", use this command to set lower permissions to private key file.

```bash
local $ chmod 600 /path/to/id_rsa
```

On **Windows**, use [PuTTY ssh client](../get-started-with-it4innovations/accessing-the-clusters/shell-access-and-data-transfer/putty/putty.html).

After logging in, you will see the command prompt:

```bash
                    _____       _
                   / ____|     | |
                  | (___   __ _| | ___  _ __ ___   ___  _ __
                   \___ \ / _` | |/ _ \| '_ ` _ \ / _ \| '_ \
                   ____) | (_| | | (_) | | | | | | (_) | | | |
                  |_____/ \__,_|_|\___/|_| |_| |_|\___/|_| |_|


                        http://www.it4i.cz/?lang=en


Last login: Tue Jul  9 15:57:38 2013 from your-host.example.com
[username@login2.salomon ~]$
```

>The environment is **not** shared between login nodes, except for [shared filesystems](storage/storage.html).

Data Transfer
-------------
Data in and out of the system may be transferred by the [scp](http://en.wikipedia.org/wiki/Secure_copy) and sftp protocols.

In case large volumes of data are transferred, use dedicated data mover nodes cedge[1-3].salomon.it4i.cz for increased performance.

HTML commented section #1 (removed cedge servers from the table)

  |Address|Port|Protocol|
  |---|---|
  |salomon.it4i.cz|22|scp, sftp|
  |login1.salomon.it4i.cz|22|scp, sftp|
  |login2.salomon.it4i.cz|22|scp, sftp|
  |login3.salomon.it4i.cz|22|scp, sftp|
  |login4.salomon.it4i.cz|22|scp, sftp|

The authentication is by the [private key](../get-started-with-it4innovations/accessing-the-clusters/shell-access-and-data-transfer/ssh-keys.html)

HTML commented section #2 (ssh transfer performance data need to be verified)

On linux or Mac, use scp or sftp client to transfer the data to Salomon:

```bash
local $ scp -i /path/to/id_rsa my-local-file username@salomon.it4i.cz:directory/file
```

```bash
local $ scp -i /path/to/id_rsa -r my-local-dir username@salomon.it4i.cz:directory
```

or

```bash
local $ sftp -o IdentityFile=/path/to/id_rsa username@salomon.it4i.cz
```

Very convenient way to transfer files in and out of the Salomon computer is via the fuse filesystem [sshfs](http://linux.die.net/man/1/sshfs)

```bash
local $ sshfs -o IdentityFile=/path/to/id_rsa username@salomon.it4i.cz:. mountpoint
```

Using sshfs, the users Salomon home directory will be mounted on your local computer, just like an external disk.

Learn more on ssh, scp and sshfs by reading the manpages

```bash
$ man ssh
$ man scp
$ man sshfs
```

On Windows, use [WinSCP client](http://winscp.net/eng/download.php) to transfer the data. The [win-sshfs client](http://code.google.com/p/win-sshfs/) provides a way to mount the Salomon filesystems directly as an external disc.

More information about the shared file systems is available [here](storage/storage.html).