Resource Allocation and Job Execution
=====================================

To run a [job](job-submission-and-execution.html), [computational resources](resources-allocation-policy.html) for this particular job must be allocated. This is done via the PBS Pro job workload manager software, which efficiently distributes workloads across the supercomputer. Extensive informations about PBS Pro can be found in the [official documentation here](../../pbspro-documentation.html), especially in the [PBS Pro User's Guide](https://docs.it4i.cz/pbspro-documentation/pbspro-users-guide).

Resources Allocation Policy
---------------------------
The resources are allocated to the job in a fairshare fashion, subject to constraints set by the queue and resources available to the Project. [The Fairshare](job-priority.html) at Salomon ensures that individual users may consume approximately equal amount of resources per week. The resources are accessible via several queues for queueing the jobs. The queues provide prioritized and exclusive access to the computational resources. Following queues are available to Anselm users:

- **qexp**, the Express queue
- **qprod**, the Production queue
- **qlong**, the Long queue
- **qmpp**, the Massively parallel queue
- **qfat**, the queue to access SMP UV2000 machine
- **qfree**, the Free resource utilization queue

>Check the queue status at <https://extranet.it4i.cz/rsweb/salomon/>

Read more on the [Resource Allocation Policy](resources-allocation-policy.html) page.

Job submission and execution
----------------------------
>Use the **qsub** command to submit your jobs.

The qsub submits the job into the queue. The qsub command creates a request to the PBS Job manager for allocation of specified resources. The **smallest allocation unit is entire node, 24 cores**, with exception of the qexp queue. The resources will be allocated when available, subject to allocation policies and constraints. **After the resources are allocated the jobscript or interactive shell is executed on first of the allocated nodes.**

Read more on the [Job submission and execution](job-submission-and-execution.html) page.